require 'encryptor'
require 'base64'

#
# Module for encryption and decryption
# Author: Nayyara Samuel (nayyara.samuel@opower.com)
#

module MultiIndex
  module Encryption

    def secret_key
      'PLrijCx6/ZD3ET6im5OI7A='
    end

    def encrypt(text)
      Base64.encode64(Encryptor.encrypt(text.strip,
                                        :key => secret_key,
                                        :algorithm => 'aes-256-ecb')).force_encoding('UTF-8').strip
    end

    def decrypt(text)
      Encryptor.decrypt(Base64.decode64(text.force_encoding('ASCII-8BIT')),
                        :key => secret_key,
                        :algorithm => 'aes-256-ecb').strip
    end
  end
end